> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List filtering rules

> Lists all request filtering rules for the workspace associated with the Management API key.



## OpenAPI

````yaml reference/management-api_2024-05-20.json GET /filtering-rules
openapi: 3.0.0
info:
  title: Management API
  description: >-
    Managment API allows you to manage your Fingerprint account and applications
    programmatically from a server environment.
  version: '2024-05-20'
  contact: {}
servers:
  - url: https://management-api.fpjs.io
security:
  - Management-API-key: []
tags: []
paths:
  /filtering-rules:
    get:
      tags:
        - filtering-rules
      summary: List filtering rules
      description: >-
        Lists all request filtering rules for the workspace associated with the
        Management API key.
      operationId: FilteringRulesController_findAll
      parameters:
        - name: environment
          required: false
          in: query
          description: Filters by environment ID.
          schema:
            type: string
        - name: X-API-Version
          in: header
          description: Management API version.
          example: '2024-05-20'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of filtering rules matching the given query.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/0bd4735b2481c60fd3ef4'
        '401':
          description: 'Error: Invalid API key.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
        '429':
          description: 'Error: API key has exceeded its rate limit.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
components:
  schemas:
    0bd4735b2481c60fd3ef4:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/FilteringRulesResponseDtoV1'
      required:
        - data
    ApiExceptionDto:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/BaseApiExceptionDto'
      required:
        - error
    FilteringRulesResponseDtoV1:
      type: object
      properties:
        type:
          type: string
          enum:
            - origin
          description: Type of filtering rule.
          example: origin
        environment:
          type: string
          description: ID of an environment the filtering rule allies to.
          example: ae_rrETjdWcfqI6AFsk
        allow:
          description: >-
            List of origin domains that are allowed to make API requests.
            Wildcard entry (`*`) implies all domains are allowed.
          example:
            - example.com
            - my-website.com
          type: array
          items:
            type: string
        deny:
          description: >-
            List of origin domains that are denied from making API requests.
            Wildcard entry (`*`) implies all domains are denied.
          example:
            - '*'
          type: array
          items:
            type: string
      required:
        - type
        - environment
        - allow
        - deny
    BaseApiExceptionDto:
      type: object
      properties:
        message:
          type: string
          description: Verbal description of the error.
        code:
          type: string
          description: Error code.
      required:
        - message
        - code
  securitySchemes:
    Management-API-key:
      scheme: bearer
      bearerFormat: JWT
      type: http

````